package com.bonus.canteen.core.menu.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.canteen.core.menu.dto.MenuDishesSuitAddDTO;
import com.bonus.canteen.core.menu.dto.MenuDishesSuitEditDTO;
import com.bonus.canteen.core.menu.entity.MenuDishesSuit;
import com.bonus.canteen.core.menu.vo.MenuDishesSuitPageVO;

public interface MenuDishesSuitService extends IService<MenuDishesSuit> {
   void addMenuDishesSuit(MenuDishesSuitAddDTO content);

   Page<MenuDishesSuitPageVO> getMenuDishesSuitPage(String content);

   void editMenuDishesSuit(MenuDishesSuitEditDTO content);

   void removeBySuitId(Long suitId);
}
